Deposit Source Account
postv1/accounts/{accountId}/deposit-source-iban
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
accountIdstring · uuidRequired
The account ID
Responses
200
The deposit source IBAN has been submitted for whitelisting
application/json
accountIdstring · uuidOptionalExample:
757a15e6-0b3c-44d6-9e60-f76c1dc35f34customerIdstring · uuidOptionalExample:
d290f1ee-6c54-4b01-90e6-d701748f0851statusstring · enumOptionalExample:
PENDINGPossible values: 400
Validation Error
401
Unauthorized
403
Insufficient Privileges
4XX
Client error
5XX
Server error
postv1/accounts/{accountId}/deposit-source-iban
POST /apiv1/accounts/{accountId}/deposit-source-iban HTTP/1.1
Host: cams.aquanow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"accountId": "757a15e6-0b3c-44d6-9e60-f76c1dc35f34",
"customerId": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"status": "PENDING"
}getv1/accounts/{accountId}/deposit-source-iban
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
accountIdstring · uuidRequired
The account ID
Responses
200
A list of deposit source IBANs submitted for whitelisting
application/json
accountIdstring · uuidOptionalExample:
757a15e6-0b3c-44d6-9e60-f76c1dc35f34customerIdstring · uuidOptionalExample:
d290f1ee-6c54-4b01-90e6-d701748f0851statusstring · enumOptionalExample:
PENDINGPossible values: 400
Validation Error
401
Unauthorized
403
Insufficient Privileges
4XX
Client error
5XX
Server error
getv1/accounts/{accountId}/deposit-source-iban
GET /apiv1/accounts/{accountId}/deposit-source-iban HTTP/1.1
Host: cams.aquanow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
{
"accountId": "757a15e6-0b3c-44d6-9e60-f76c1dc35f34",
"customerId": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"status": "PENDING"
}
]Last updated